Loading...
Searching...
No Matches
Dune::TypeTree::TreeInfo< Tree, Tag > Struct Template Reference
dune-typetree

Struct for obtaining some basic structural information about a TypeTree. More...

`#include <dune/typetree/utility.hh>`

Inheritance diagram for Dune::TypeTree::TreeInfo< Tree, Tag >:

## Static Public Attributes

static const std::size_t | depth = NodeInfo::depth
| The depth of the TypeTree.
static const std::size_t | nodeCount = NodeInfo::nodeCount
| The total number of nodes in the TypeTree.
static const std::size_t | leafCount = NodeInfo::leafCount
| The number of leaf nodes in the TypeTree.

## Detailed Description

template<typename Tree, typename Tag = StartTag>
struct Dune::TypeTree::TreeInfo< Tree, Tag >

Struct for obtaining some basic structural information about a TypeTree.

This struct extracts basic information about the passed TypeTree and presents them in a static way suitable for use as compile-time constants.

Template Parameters

  Tree | The TypeTree to examine.
  Tag | Internal parameter, leave at default value.

## Member Data Documentation

## depth

template<typename Tree, typename Tag = StartTag>

const std::size_t Dune::TypeTree::TreeInfo< Tree, Tag >::depth = NodeInfo::depth

static

The depth of the TypeTree.

## leafCount

template<typename Tree, typename Tag = StartTag>

const std::size_t Dune::TypeTree::TreeInfo< Tree, Tag >::leafCount = NodeInfo::leafCount

static

The number of leaf nodes in the TypeTree.

## nodeCount

template<typename Tree, typename Tag = StartTag>

const std::size_t Dune::TypeTree::TreeInfo< Tree, Tag >::nodeCount = NodeInfo::nodeCount

static

The total number of nodes in the TypeTree.

The documentation for this struct was generated from the following file:

- utility.hh